## org.codehaus.groovy.syntax
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.ParserException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

Direct Known Subclasses:
  ASTParserException

    public class ParserException

extends TokenException

See Also:
  Serialized Form

Constructor Summary
`ParserException(String message, Throwable cause, int lineNumber, int columnNumber)`
`ParserException(String message, Token token)`

Method Summary

Methods inherited from class org.codehaus.groovy.syntax.TokenException
`getEndColumn`

Methods inherited from class org.codehaus.groovy.syntax.SyntaxException
`getLine, getMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

Methods inherited from class org.codehaus.groovy.GroovyException
`isFatal, setFatal`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(String message,
                           Token token)

### ParserException

    public ParserException(String message,
                           Throwable cause,
                           int lineNumber,
                           int columnNumber)

Copyright © 2003-2008 The Codehaus. All rights reserved.